@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: map.get(colors.$colors, bg);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

html,
button,
input,
select,
textarea {
    font-family:
        Open Sans,
        Helvetica,
        Georgia,
        sans-serif;
    color: map.get(colors.$colors, text);
    font-size: 1rem;
}

@media (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
    }
}

main {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    width: calc(min(1200px, 100%));
    word-wrap: break-word;
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding: 1.5rem;
}

a {
    color: map.get(colors.$colors, link);
    text-decoration: none;

    &:hover {
        color: map.get(colors.$colors, link-hover);
    }
}

h1 {
    font-size: 2.5rem;
    margin: 1rem 0 1rem 0;

    @include mixins.respond-to(medium) {
        font-size: 3rem;

        &.title {
            font-size: 4rem;
        }
    }
}

h2 {
    font-size: 2rem;
    margin-top: 2rem;
    margin-bottom: 0.5rem;

    &:first-child {
        margin-top: 0;
    }
}

h3 {
    font-size: 1.5rem;
    margin-top: 2rem;
    margin-bottom: 0.5rem;
}

h4 {
    font-size: 1.25rem;
}

h4,
h5,
h6 {
    margin-top: 1rem;
    margin-bottom: 0.5rem;
}

@for $i from 1 through 5 {
    h#{$i} + h#{$i + 1} {
        margin-top: 0;
    }
}

p {
    margin: 0.25rem 0;
    text-align: justify;
    hyphens: auto;
}

img {
    margin: 1rem 0;
    max-width: 100%;
}

figure {
    margin: 0;
}

figcaption {
    text-align: center;
}

ol,
ul {
    padding-left: 1.7rem;
    margin: 0;
}

li {
    margin: 0.5rem 0;
}

table {
    width: 90%;
    margin-top: 1rem;
    margin-bottom: 1rem;
    margin-left: auto;
    margin-right: auto;
    border-collapse: collapse;
}

th,
td {
    padding: 0.5rem;
    text-align: left;
    border: 1px solid;
}

blockquote {
    margin: 1rem 2rem;
}

pre {
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding: 1rem;
}
